package land

import "context"

type Repository interface {
	Create(ctx context.Context, row *Land) error
	Update(ctx context.Context, row *Land) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*Land, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]Land, int64, error)
}
